|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QAccessibleLineEdit Class Reference

The QAccessibleLineEdit class implements the QAccessibleInterface for widgets with editable text. More...

    #include <QAccessibleLineEdit>

Inherits QAccessibleWidget.

- List of all members, including inherited members

### Public Functions

- QAccessibleLineEdit ( QWidget * w, const QString & name = QString() )

- 15 public functions inherited from QAccessibleInterface

### Protected Functions

- QLineEdit * lineEdit () const

- 7 protected functions inherited from QAccessibleWidget

### Additional Inherited Members

- 8 static public members inherited from QAccessible

## Detailed Description

The QAccessibleLineEdit class implements the QAccessibleInterface for widgets with editable text.

## Member Function Documentation

### QAccessibleLineEdit::QAccessibleLineEdit ( QWidget * w, const QString & name = QString() )

Constructs a QAccessibleLineEdit object for w. name is propagated to the QAccessibleWidget constructor.

### QLineEdit * QAccessibleLineEdit::lineEdit () const `[protected]`

Returns the line edit.